ru.bitel.bgbilling.modules.bill.common.service

## Interface BillAccountReportService

-     public interface BillAccountReportService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getContractTitles(java.util.Set<java.lang.Integer> contractIds)`
    `byte[]` | `getDocument(Period period, java.util.List<java.lang.Integer> contractIds, int organizationId, java.lang.String contractTitle)`
    `byte[]` | `getPdfDocument(Period period, java.util.List<java.lang.Integer> contractIds, int organizationId, java.lang.String contractTitle)`
    `java.lang.String` | `getXmlDocument(Period period, java.util.List<java.lang.Integer> contractIds, int organizationId, java.lang.String contractTitle)`
    `SearchResult<AccountContractReport>` | `searchAccountContractReport(Period period, java.util.List<java.lang.Integer> contractIds)`
    `SearchResult<AccountReport>` | `searchAccountReport(Period period, java.util.List<java.lang.Integer> contractIds)`
    `void` | `sendDocumentToEmail(Period period, java.util.List<java.lang.Integer> contractIds, int organizationId, java.lang.String contractTitle, java.lang.String email)`

- - ### Method Detail

    - #### searchAccountReport

          SearchResult<AccountReport> searchAccountReport(Period period,
                                                          java.util.List<java.lang.Integer> contractIds)
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchAccountContractReport

          SearchResult<AccountContractReport> searchAccountContractReport(Period period,
                                                                          java.util.List<java.lang.Integer> contractIds)
                                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getDocument

          byte[] getDocument(Period period,
                             java.util.List<java.lang.Integer> contractIds,
                             int organizationId,
                             java.lang.String contractTitle)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getXmlDocument

          java.lang.String getXmlDocument(Period period,
                                          java.util.List<java.lang.Integer> contractIds,
                                          int organizationId,
                                          java.lang.String contractTitle)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPdfDocument

          byte[] getPdfDocument(Period period,
                                java.util.List<java.lang.Integer> contractIds,
                                int organizationId,
                                java.lang.String contractTitle)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### sendDocumentToEmail

          void sendDocumentToEmail(Period period,
                                   java.util.List<java.lang.Integer> contractIds,
                                   int organizationId,
                                   java.lang.String contractTitle,
                                   java.lang.String email)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractTitles

          java.util.List<java.lang.String> getContractTitles(java.util.Set<java.lang.Integer> contractIds)
                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`